%define major 2
%define libname %mklibname cares %{major}
%define libdevelname %mklibname cares -d
%define libstaticname %mklibname cares -d -s

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.7.5
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://c-ares.haxx.se/
Source0:	http://c-ares.haxx.se/%{name}-%{version}.tar.gz
# 1.7.4-1.mga1 - add patch from Fedora to make the build respect our default optflags
# (TV) can be just replaced by perl -pi -e 's!(tmp_options=")\$flags_opt_..."!\1"!' configure
Patch0:		c-ares-1.7.5-optflags.patch
# 1.7.4-1.mga1 - add patch from Fedora to fix multi arch installs
# https://bugzilla.redhat.com/show_bug.cgi?id=602880
Patch1:		c-ares-multilib.patch

%description
c-ares is a C library that performs DNS requests and name resolves 
asynchronously. c-ares is a fork of the library named 'ares', written 
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libdevelname}
This package contains the header files and developemnt libraries
needed to compile applications or shared objects that use c-ares.

%package -n %{libstaticname}
Summary:	Static development library for c-ares
Group:		Development/C
Requires:	%{libdevelname} = %{version}-%{release}

%description -n	%{libstaticname}
This package contains the static development library for c-ares
needed to compile applications using c-ares.

%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .multilib

# convert to UTF8
iconv -f ISO-8859-1 -t UTF8 CHANGES -o CHANGES.new
mv -f CHANGES.new CHANGES

%build
%configure2_5x	\
	--enable-shared \
	--enable-libgcc \
	--enable-nonblocking

%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libdevelname}
%doc README README.cares CHANGES NEWS
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/libcares.pc
%{_mandir}/man3/ares_*

%files -n %{libstaticname}
%{_libdir}/lib*.a


%changelog

* Tue Sep 06 2011 tv <tv> 1.7.5-1.mga2
+ Revision: 139411
- rediff patch 0
- new release

* Fri Apr 15 2011 ahmad <ahmad> 1.7.4-1.mga1
+ Revision: 85576
- Update to 1.7.4
- Add a patch to make the build respect our default compile flags (Fedora)
- Add a patch to to fix multi arch installs (Fedora)
- drop the deprecated --enable-thread configure options
- don't use --enable-optimize as it adds some compile flags (other than the our defaults)

* Tue Jan 11 2011 blino <blino> 1.7.3-2.mga1
+ Revision: 5712
- remove old ldconfig scriptlets
- imported package c-ares

